Workflow Error - Could not load FunctionProvider.class

Hi Team,

 

We are upgrading JIRA 5.2.1 to JIRA 6.4.2 and we are facing below error.

Could you please help me with same.

Please find attached image and log file  

Error we are getting :-

2016-01-05 22:30:27,741 http-bio-8080-exec-13 ERROR w35338 1350x424x1 99b7kh 161.117.193.121 /secure/WorkflowUIDispatcher.jspa [atlassian.jira.workflow.DefaultOSWorkflowConfigurator] Could not load class 'com.googlecode.jsu.workflow.function.UpdateIssueCustomFieldPostFunction'
java.lang.ClassNotFoundException: com.googlecode.jsu.workflow.function.UpdateIssueCustomFieldPostFunction

 

JIRA Issue.png                                          

 

1 answer

Hi,

Probably one of your plugins (I think it is JIRA Suite Utilities) is not compatible with the JIRA 6.4.12. Go into Manage Addons page and verify if you have all plugins enabled and compatible with your JIRA version.

Best regards

For that upgrade (5 to 6), I suspect the problem is that they've not installed the JSU at all (Class not found error rather than an error trying to load or run it), but I'm 100% with you on the source of the problem and fixing it by installing/upgrading the add-on - it's definitely the JSU.

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Sep 25, 2018 in Jira

Atlassian Research Workshop opportunity on Sep. 28th in Austin, TX

We're looking for participants for a workshop at Atlassian! We need Jira admins who have interesting custom workflows, issue views, or boards. Think you have a story to sha...

454 views 7 5
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you